Subject: Byte_count logging

From: "Javier Puche. CSIC RedIRIS" <[email-masked]>
Date: Mon, 4 Nov 1996 13:02:18 +0100 (MET)

Hi ftp-masters an gurus,

 While taking a look to my ftp statistics I got astonished as for one day
I had a total anonymous downloaded count of minus something. So I started
to try to find out the reason ... so I saw in the xferlog an entry with
negative byte_count produce by a nice user retrieving a whole
distribution of linux in a tar file ( overflow of byte_count ). 

 Ok, byte_count is typed off_t that is long; I wonder if it is worth to
change it in next beta-releases or at least to check for overflow before
logging.

Thanks again to the developers of such a nice thing as wu-ftpd.

Regards,

Javier Puche.